cvp.vo

## Class Prescrizione

- java.lang.Object
- - cvp.vo.Prescrizione

-     public class Prescrizione
      extends java.lang.Object

  Contiene i dati della prescrizione.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `altro` Il campo “Altro”, come da ricetta cartacea, a disposizione per usi futuri, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $altro della risposta del servizio SAC visualizzaErogato Valore ammesso: “null”= campo non impostato A=Altro, elemento facoltativo
    `private java.lang.String` | `annotazione` Annotazione sulla prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private Assistito` | `assistito` Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione, elemento facoltativo
    `private java.lang.String` | `chiusuraDiff` Informazione di chiusura erogazione inviata in asincrono rispetto all’erogazione effettivamente avvenuta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $chiusuraDiff della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `chiusuraForzata` Dichiarazione di erogazione completa di una ricetta elettronica, nonostante erogazione parziale di quanto in essa contenuto, su esplicita richiesta dell’assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $chiusuraForzata della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `classePriorita` Classe di priorità della prescrizione, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $classePriorita della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= campo non impostato U= Nel più breve tempo possibile, comunque, se differibile, entro 72 ore”, B=”Entro 10 giorni”, D=”Entro 30 (visite), entro 60 giorni (visite strumentali)”, P=”Senza priorità”, elemento facoltativo
    `private java.lang.String` | `codAutenticazioneErogatore` Codice di autenticazione fornito all’erogatore che certifica l’avvenuta transazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codAutenticazioneErogatore della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codAutenticazioneMedico` Codice di autenticazione fornito al medico prescrittore che certifica l’avvenuta transazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codAutenticazioneMedico della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codDiagnosi` codDiagnosi Codice diagnosi o del sospetto diagnostico secondo la codifica ICD9-CM, questo campo è in alternativa alla descrizione della diagnosi in testo libero, elemento facoltativo, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $codDiagnosi della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codEseNaz` Il campo è di output per l'erogatore ed impostato dal Sistema TS; è valorizzato solo se è stato inserito un codice esenzione nella prescrizione; può contenere: -il valore riconosciuto a livello nazionale del codice esenzione regionale, (nel caso di quelle esenzioni con codifica regionale che hanno corrispondenza con la codifica nazionale; il campo viene sempre valorizzato sia nel caso in cui il codice erogazione regionale sia uguale o diverso da quello nazionale) -il valore "LAR" (nel casi di esenzioni relative a livelli aggiuntivi regionali che non hanno corrispondenza con valori nazionali) N.B.: nel caso il prescrittore abbia utilizzato un codice esenzione "composto" (ad es. patologia + reddito), in tale campo codEseNaz vengono restituiti i singoli codici riconosciuti a livello nazionale separati tra loro dal carattere pipe (|) ad es. il codice "123XYZ" viene restituito come 123|XYZ, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codEseNaz della risposta del servizio SAC visualizzaErogato.
    `private java.lang.String` | `codEsenzione` Codice esenzione riportato in ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codEsenzione della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codRegione` Codice Regione / Provincia Autonoma del medico prescrittore di cui si invia la ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codRegione della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codRicetta` Codice ricetta stampato dal poligrafico dello stato sulla ricetta stessa, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `codStruttura` Codice della struttura dove opera il medico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codStruttura della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataEmissione` Data di emissione della prescrizione, prevede opzionalmente l'aggiunta dell'orario in formato HH:mm:ss, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataCompilazione della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataScadenza` Data di scadenza della prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `dataSpedizione` Data di spedizione (ossia di erogazione) della ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataSpedizione della risposta del servizio SAC visualizzaErogato
    `private DatiFarm` | `datiFarm` Contiene i dati di dettaglio della pescrizione farmaceutica, elemento facoltativo.
    `private DatiRico` | `datiRico` Contiene i dati di dettaglio della pescrizione di ricovero, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private DatiSpec` | `datiSpec` Contiene i dati di dettaglio della pescrizione specialistica, elemento facoltativo.
    `private java.lang.String` | `descrizioneDiagnosi` Descrizione della diagnosi o del sospetto diagnostico in testo libero, questo campo è in alternativa al Codice diagnosi secondo la codifica ICD9-CM, elemento facoltativo, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrizioneDiagnosi della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispReg` Disposizioni regionali specifiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispReg della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispRic1` Campo per futuro utilizzo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispRic1 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispRic2` Campo per futuro utilizzo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispRic2 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dispRic3` Campo per futuro utilizzo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispRic3 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `flagSuggerita` Indica se la prescrizione è stata suggerita da uno specialista, elemento facoltativo.
    `private java.lang.String` | `franchigia` Ammontare della franchigia che l’assistito deve pagare per le prestazioni specialistiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $franchigia della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `galDirChiamAltro` Ammontare del prezzo del galenico, del diritto di chiamata spettante alla farmacia in servizio notturno per la spedizione di ricette con carattere di urgenza e per prestazioni di assistenza specialistica, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $galDirChiamAltro della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `impPrescrizione` Importo totale lordo della prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `indicazionePrescr` Tipologia della prescrizione, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $indicazionePrescr della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= campo non impostato S= Suggerita, H= Ricovero, elemento facoltativo
    `private java.lang.String` | `IUP` Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $nre della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `naturaPrescrizione` Codice natura della prescrizione, elemento facoltativo, Può assumere i seguenti valori: 'O'=Originale ovvero la prescrizione è stata emessa da un soggetto prescrittore regolarmente dotato del ricettario regionale.
    `private java.lang.String` | `nonEsente` Campo che indica se l’assistito è esente oppure no, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $nonEsente della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= ricetta per assistito esente, 1= ricetta per assistito non esente, elemento facoltativo
    `private java.lang.String` | `oscuramDati` Su richiesta dell’assistito i dati relativi al suo "Cognome e Nome" e all’"Indirizzo" possono essere oscurati e non resi visibili all’erogatore, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $oscuramDati della risposta del servizio SAC visualizzaErogato Valori ammessi: "null" = dati visibili all’erogatore; 1= dati oscurati all’erogatore e visibili solo su richiesta, elemento facoltativo
    `private Prescrittore` | `prescrittore` Contiene i dati anagrafici del medico prescrittore, elemento facoltativo.
    `private java.lang.String` | `prescrizioneFruita` Dichiarazione di effettiva fruizione della prestazione specialistica, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizioneFruita della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `quotaFissa` Ammontare della quota fissa che l’assistito deve pagare per le prestazioni specialistiche secondo normativa nazionale e regionale, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quotaFissa della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `reddito` Campo che indica se l’assistito è esente per reddito oppure no, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $reddito della risposta del servizio SAC visualizzaErogato Valori ammessi: null = ricetta per assistito non esente per reddito; 1= ricetta per assistito esente per reddito, elemento facoltativo
    `private java.lang.String` | `ricettaInterna` Il campo, se impostato, indica che la ricetta per prestazioni specialistiche prescritta internamente ad una struttura pubblica deve essere erogata all’interno della stessa struttura, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $ricettaInterna della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= la ricetta non è sottoposta a vincoli di erogazione in una determinata struttura, 1= la ricetta deve essere erogata nella stessa struttura di prescrizione, elemento facoltativo
    `private java.lang.String` | `statoPrescrizione` Indica lo stato in cui si trova una prescrizione, elemento facoltativo.
    `private java.lang.String` | `testata1` Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $testata1 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `testata2` Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $testata2 della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `ticketPrescrizione` Importo totale del Ticket da pagare, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $ticket della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `tipoErogazioneFarm` Tipologia di erogazione dei farmaci, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `tipoErogazioneSpec` Tipologia di erogazione di ricette specialistiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoErogazioneSpec della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `tipoPrescrizione` Codice indicante la tipologia della prescrizione, elemento facoltativo, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoPrescrizione della risposta del servizio SAC visualizzaErogato Può assumere i seguenti valori: 1=Farmaceutica; 2=Ricovero; 3=Specialistica.
    `private java.lang.String` | `tipoRic` Tipologia della ricetta compilata, Il campo Codice assistito è compilato o meno in funzione del Tipo Ricetta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoRic della risposta del servizio SAC visualizzaErogato Il campo Codice assistito è compilato o meno in funzione del Tipo Ricetta.
    `private java.lang.String` | `tipoVisita` Tipologia della visita, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoVisita della risposta del servizio SAC visualizzaErogato.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Prescrizione()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAltro()`
    `java.lang.String` | `getAnnotazione()`
    `Assistito` | `getAssistito()`
    `java.lang.String` | `getChiusuraDiff()`
    `java.lang.String` | `getChiusuraForzata()`
    `java.lang.String` | `getClassePriorita()`
    `java.lang.String` | `getCodAutenticazioneErogatore()`
    `java.lang.String` | `getCodAutenticazioneMedico()`
    `java.lang.String` | `getCodDiagnosi()`
    `java.lang.String` | `getCodEseNaz()`
    `java.lang.String` | `getCodEsenzione()`
    `java.lang.String` | `getCodRegione()`
    `java.lang.String` | `getCodRicetta()`
    `java.lang.String` | `getCodStruttura()`
    `java.lang.String` | `getDataEmissione()`
    `java.lang.String` | `getDataScadenza()`
    `java.lang.String` | `getDataSpedizione()`
    `DatiFarm` | `getDatiFarm()`
    `DatiRico` | `getDatiRico()`
    `DatiSpec` | `getDatiSpec()`
    `java.lang.String` | `getDescrizioneDiagnosi()`
    `java.lang.String` | `getDispReg()`
    `java.lang.String` | `getDispRic1()`
    `java.lang.String` | `getDispRic2()`
    `java.lang.String` | `getDispRic3()`
    `java.lang.String` | `getFlagSuggerita()`
    `java.lang.String` | `getFranchigia()`
    `java.lang.String` | `getGalDirChiamAltro()`
    `java.lang.String` | `getImpPrescrizione()`
    `java.lang.String` | `getIndicazionePrescr()`
    `java.lang.String` | `getIUP()`
    `java.lang.String` | `getNaturaPrescrizione()`
    `java.lang.String` | `getNonEsente()`
    `java.lang.String` | `getOscuramDati()`
    `Prescrittore` | `getPrescrittore()`
    `java.lang.String` | `getPrescrizioneFruita()`
    `java.lang.String` | `getQuotaFissa()`
    `java.lang.String` | `getReddito()`
    `java.lang.String` | `getRicettaInterna()`
    `java.lang.String` | `getStatoPrescrizione()`
    `java.lang.String` | `getTestata1()`
    `java.lang.String` | `getTestata2()`
    `java.lang.String` | `getTicketPrescrizione()`
    `java.lang.String` | `getTipoErogazioneFarm()`
    `java.lang.String` | `getTipoErogazioneSpec()`
    `java.lang.String` | `getTipoPrescrizione()`
    `java.lang.String` | `getTipoRic()`
    `java.lang.String` | `getTipoVisita()`
    `void` | `setAltro(java.lang.String altro)`
    `void` | `setAnnotazione(java.lang.String annotazione)`
    `void` | `setAssistito(Assistito assistito)`
    `void` | `setChiusuraDiff(java.lang.String chiusuraDiff)`
    `void` | `setChiusuraForzata(java.lang.String chiusuraForzata)`
    `void` | `setClassePriorita(java.lang.String classePriorita)`
    `void` | `setCodAutenticazioneErogatore(java.lang.String codAutenticazioneErogatore)`
    `void` | `setCodAutenticazioneMedico(java.lang.String codAutenticazioneMedico)`
    `void` | `setCodDiagnosi(java.lang.String codDiagnosi)`
    `void` | `setCodEseNaz(java.lang.String codEseNaz)`
    `void` | `setCodEsenzione(java.lang.String codEsenzione)`
    `void` | `setCodRegione(java.lang.String codRegione)`
    `void` | `setCodRicetta(java.lang.String codRicetta)`
    `void` | `setCodStruttura(java.lang.String codStruttura)`
    `void` | `setDataEmissione(java.lang.String dataEmissione)`
    `void` | `setDataScadenza(java.lang.String dataScadenza)`
    `void` | `setDataSpedizione(java.lang.String dataSpedizione)`
    `void` | `setDatiFarm(DatiFarm datiFarm)`
    `void` | `setDatiRico(DatiRico datiRico)`
    `void` | `setDatiSpec(DatiSpec datiSpec)`
    `void` | `setDescrizioneDiagnosi(java.lang.String descrizioneDiagnosi)`
    `void` | `setDispReg(java.lang.String dispReg)`
    `void` | `setDispRic1(java.lang.String dispRic1)`
    `void` | `setDispRic2(java.lang.String dispRic2)`
    `void` | `setDispRic3(java.lang.String dispRic3)`
    `void` | `setFlagSuggerita(java.lang.String flagSuggerita)`
    `void` | `setFranchigia(java.lang.String franchigia)`
    `void` | `setGalDirChiamAltro(java.lang.String galDirChiamAltro)`
    `void` | `setImpPrescrizione(java.lang.String impPrescrizione)`
    `void` | `setIndicazionePrescr(java.lang.String indicazionePrescr)`
    `void` | `setIUP(java.lang.String IUP)`
    `void` | `setNaturaPrescrizione(java.lang.String naturaPrescrizione)`
    `void` | `setNonEsente(java.lang.String nonEsente)`
    `void` | `setOscuramDati(java.lang.String oscuramDati)`
    `void` | `setPrescrittore(Prescrittore prescrittore)`
    `void` | `setPrescrizioneFruita(java.lang.String prescrizioneFruita)`
    `void` | `setQuotaFissa(java.lang.String quotaFissa)`
    `void` | `setReddito(java.lang.String reddito)`
    `void` | `setRicettaInterna(java.lang.String ricettaInterna)`
    `void` | `setStatoPrescrizione(java.lang.String statoPrescrizione)`
    `void` | `setTestata1(java.lang.String testata1)`
    `void` | `setTestata2(java.lang.String testata2)`
    `void` | `setTicketPrescrizione(java.lang.String ticketPrescrizione)`
    `void` | `setTipoErogazioneFarm(java.lang.String tipoErogazioneFarm)`
    `void` | `setTipoErogazioneSpec(java.lang.String tipoErogazioneSpec)`
    `void` | `setTipoPrescrizione(java.lang.String tipoPrescrizione)`
    `void` | `setTipoRic(java.lang.String tipoRic)`
    `void` | `setTipoVisita(java.lang.String tipoVisita)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codRicetta

          private java.lang.String codRicetta

      Codice ricetta stampato dal poligrafico dello stato sulla ricetta stessa, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### dataEmissione

          private java.lang.String dataEmissione

      Data di emissione della prescrizione, prevede opzionalmente l'aggiunta dell'orario in formato HH:mm:ss, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataCompilazione della risposta del servizio SAC visualizzaErogato

    - #### dataScadenza

          private java.lang.String dataScadenza

      Data di scadenza della prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### naturaPrescrizione

          private java.lang.String naturaPrescrizione

      Codice natura della prescrizione, elemento facoltativo, Può assumere i seguenti valori: 'O'=Originale ovvero la prescrizione è stata emessa da un soggetto prescrittore regolarmente dotato del ricettario regionale. 'S'=Supporto, ovvero la prescrizione è originata da una erogazione, pertanto l'emettitore è un soggetto erogatore che acquisisce i dati della ricetta che ha erogato.
      In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### flagSuggerita

          private java.lang.String flagSuggerita

      Indica se la prescrizione è stata suggerita da uno specialista, elemento facoltativo. Può assumere i seguenti valori 1=suggerita 0=non suggerita
      In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### statoPrescrizione

          private java.lang.String statoPrescrizione

      Indica lo stato in cui si trova una prescrizione, elemento facoltativo. Può assumere i seguenti valori: 0=annullata; 1=prescritta; 2=prenotata; 3=accettata; 4=erogata; 8=in erogazione.
      In caso di ricetta dematerializzata fuori regione il campo veicola il tag $statoProcesso della risposta del servizio SAC visualizzaErogato

    - #### prescrittore

          private Prescrittore prescrittore

      Contiene i dati anagrafici del medico prescrittore, elemento facoltativo.

    - #### impPrescrizione

          private java.lang.String impPrescrizione

      Importo totale lordo della prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### ticketPrescrizione

          private java.lang.String ticketPrescrizione

      Importo totale del Ticket da pagare, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $ticket della risposta del servizio SAC visualizzaErogato

    - #### annotazione

          private java.lang.String annotazione

      Annotazione sulla prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### tipoPrescrizione

          private java.lang.String tipoPrescrizione

      Codice indicante la tipologia della prescrizione, elemento facoltativo, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoPrescrizione della risposta del servizio SAC visualizzaErogato Può assumere i seguenti valori: 1=Farmaceutica; 2=Ricovero; 3=Specialistica.

    - #### datiRico

          private DatiRico datiRico

      Contiene i dati di dettaglio della pescrizione di ricovero, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### datiSpec

          private DatiSpec datiSpec

      Contiene i dati di dettaglio della pescrizione specialistica, elemento facoltativo.

    - #### datiFarm

          private DatiFarm datiFarm

      Contiene i dati di dettaglio della pescrizione farmaceutica, elemento facoltativo.

    - #### IUP

          private java.lang.String IUP

      Codice identificativo univoco della prescrizione (IUP) o numero di ricetta elettronica (NRE). elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $nre della risposta del servizio SAC visualizzaErogato

    - #### assistito

          private Assistito assistito

      Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione, elemento facoltativo

    - #### codRegione

          private java.lang.String codRegione

      Codice Regione / Provincia Autonoma del medico prescrittore di cui si invia la ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codRegione della risposta del servizio SAC visualizzaErogato

    - #### codStruttura

          private java.lang.String codStruttura

      Codice della struttura dove opera il medico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codStruttura della risposta del servizio SAC visualizzaErogato

    - #### testata1

          private java.lang.String testata1

      Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $testata1 della risposta del servizio SAC visualizzaErogato

    - #### testata2

          private java.lang.String testata2

      Campo destinato a informazioni aggiuntive, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $testata2 della risposta del servizio SAC visualizzaErogato

    - #### tipoRic

          private java.lang.String tipoRic

      Tipologia della ricetta compilata, Il campo Codice assistito è compilato o meno in funzione del Tipo Ricetta, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoRic della risposta del servizio SAC visualizzaErogato Il campo Codice assistito è compilato o meno in funzione del Tipo Ricetta. Valori ammessi: EE = Assicurati extra-europei in temporaneo soggiorno; UE = Assicurati europei in temporaneo soggiorno; NA = Assistiti SASN con visita ambulatoriale; ND = Assistiti SASN con visita domiciliare; NE = Assistiti da istituzioni europee; NX = Assistiti SASN extraeuropei; ST = Stranieri in temporaneo soggiorno, elemento facoltativo

    - #### oscuramDati

          private java.lang.String oscuramDati

      Su richiesta dell’assistito i dati relativi al suo "Cognome e Nome" e all’"Indirizzo" possono essere oscurati e non resi visibili all’erogatore, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $oscuramDati della risposta del servizio SAC visualizzaErogato Valori ammessi: "null" = dati visibili all’erogatore; 1= dati oscurati all’erogatore e visibili solo su richiesta, elemento facoltativo

    - #### ricettaInterna

          private java.lang.String ricettaInterna

      Il campo, se impostato, indica che la ricetta per prestazioni specialistiche prescritta internamente ad una struttura pubblica deve essere erogata all’interno della stessa struttura, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $ricettaInterna della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= la ricetta non è sottoposta a vincoli di erogazione in una determinata struttura, 1= la ricetta deve essere erogata nella stessa struttura di prescrizione, elemento facoltativo

    - #### codEsenzione

          private java.lang.String codEsenzione

      Codice esenzione riportato in ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codEsenzione della risposta del servizio SAC visualizzaErogato

    - #### nonEsente

          private java.lang.String nonEsente

      Campo che indica se l’assistito è esente oppure no, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $nonEsente della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= ricetta per assistito esente, 1= ricetta per assistito non esente, elemento facoltativo

    - #### reddito

          private java.lang.String reddito

      Campo che indica se l’assistito è esente per reddito oppure no, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $reddito della risposta del servizio SAC visualizzaErogato Valori ammessi: null = ricetta per assistito non esente per reddito; 1= ricetta per assistito esente per reddito, elemento facoltativo

    - #### codDiagnosi

          private java.lang.String codDiagnosi

      codDiagnosi Codice diagnosi o del sospetto diagnostico secondo la codifica ICD9-CM, questo campo è in alternativa alla descrizione della diagnosi in testo libero, elemento facoltativo, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $codDiagnosi della risposta del servizio SAC visualizzaErogato

    - #### descrizioneDiagnosi

          private java.lang.String descrizioneDiagnosi

      Descrizione della diagnosi o del sospetto diagnostico in testo libero, questo campo è in alternativa al Codice diagnosi secondo la codifica ICD9-CM, elemento facoltativo, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $descrizioneDiagnosi della risposta del servizio SAC visualizzaErogato

    - #### tipoVisita

          private java.lang.String tipoVisita

      Tipologia della visita, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoVisita della risposta del servizio SAC visualizzaErogato. Valori ammessi: A = ambulatoriale D = domiciliare, elemento facoltativo

    - #### dispReg

          private java.lang.String dispReg

      Disposizioni regionali specifiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispReg della risposta del servizio SAC visualizzaErogato

    - #### indicazionePrescr

          private java.lang.String indicazionePrescr

      Tipologia della prescrizione, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $indicazionePrescr della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= campo non impostato S= Suggerita, H= Ricovero, elemento facoltativo

    - #### altro

          private java.lang.String altro

      Il campo “Altro”, come da ricetta cartacea, a disposizione per usi futuri, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $altro della risposta del servizio SAC visualizzaErogato Valore ammesso: “null”= campo non impostato A=Altro, elemento facoltativo

    - #### classePriorita

          private java.lang.String classePriorita

      Classe di priorità della prescrizione, in caso di ricetta dematerializzata fuori regione il campo veicola il tag $classePriorita della risposta del servizio SAC visualizzaErogato Valori ammessi: “null”= campo non impostato U= Nel più breve tempo possibile, comunque, se differibile, entro 72 ore”, B=”Entro 10 giorni”, D=”Entro 30 (visite), entro 60 giorni (visite strumentali)”, P=”Senza priorità”, elemento facoltativo

    - #### chiusuraDiff

          private java.lang.String chiusuraDiff

      Informazione di chiusura erogazione inviata in asincrono rispetto all’erogazione effettivamente avvenuta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $chiusuraDiff della risposta del servizio SAC visualizzaErogato

    - #### chiusuraForzata

          private java.lang.String chiusuraForzata

      Dichiarazione di erogazione completa di una ricetta elettronica, nonostante erogazione parziale di quanto in essa contenuto, su esplicita richiesta dell’assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $chiusuraForzata della risposta del servizio SAC visualizzaErogato

    - #### prescrizioneFruita

          private java.lang.String prescrizioneFruita

      Dichiarazione di effettiva fruizione della prestazione specialistica, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $prescrizioneFruita della risposta del servizio SAC visualizzaErogato

    - #### tipoErogazioneSpec

          private java.lang.String tipoErogazioneSpec

      Tipologia di erogazione di ricette specialistiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $tipoErogazioneSpec della risposta del servizio SAC visualizzaErogato

    - #### tipoErogazioneFarm

          private java.lang.String tipoErogazioneFarm

      Tipologia di erogazione dei farmaci, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### quotaFissa

          private java.lang.String quotaFissa

      Ammontare della quota fissa che l’assistito deve pagare per le prestazioni specialistiche secondo normativa nazionale e regionale, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $quotaFissa della risposta del servizio SAC visualizzaErogato

    - #### franchigia

          private java.lang.String franchigia

      Ammontare della franchigia che l’assistito deve pagare per le prestazioni specialistiche, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $franchigia della risposta del servizio SAC visualizzaErogato

    - #### galDirChiamAltro

          private java.lang.String galDirChiamAltro

      Ammontare del prezzo del galenico, del diritto di chiamata spettante alla farmacia in servizio notturno per la spedizione di ricette con carattere di urgenza e per prestazioni di assistenza specialistica, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $galDirChiamAltro della risposta del servizio SAC visualizzaErogato

    - #### dispRic1

          private java.lang.String dispRic1

      Campo per futuro utilizzo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispRic1 della risposta del servizio SAC visualizzaErogato

    - #### dispRic2

          private java.lang.String dispRic2

      Campo per futuro utilizzo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispRic2 della risposta del servizio SAC visualizzaErogato

    - #### dispRic3

          private java.lang.String dispRic3

      Campo per futuro utilizzo, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dispRic3 della risposta del servizio SAC visualizzaErogato

    - #### codAutenticazioneMedico

          private java.lang.String codAutenticazioneMedico

      Codice di autenticazione fornito al medico prescrittore che certifica l’avvenuta transazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codAutenticazioneMedico della risposta del servizio SAC visualizzaErogato

    - #### codAutenticazioneErogatore

          private java.lang.String codAutenticazioneErogatore

      Codice di autenticazione fornito all’erogatore che certifica l’avvenuta transazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codAutenticazioneErogatore della risposta del servizio SAC visualizzaErogato

    - #### dataSpedizione

          private java.lang.String dataSpedizione

      Data di spedizione (ossia di erogazione) della ricetta, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataSpedizione della risposta del servizio SAC visualizzaErogato

    - #### codEseNaz

          private java.lang.String codEseNaz

      Il campo è di output per l'erogatore ed impostato dal Sistema TS; è valorizzato solo se è stato inserito un codice esenzione nella prescrizione; può contenere: -il valore riconosciuto a livello nazionale del codice esenzione regionale, (nel caso di quelle esenzioni con codifica regionale che hanno corrispondenza con la codifica nazionale; il campo viene sempre valorizzato sia nel caso in cui il codice erogazione regionale sia uguale o diverso da quello nazionale) -il valore "LAR" (nel casi di esenzioni relative a livelli aggiuntivi regionali che non hanno corrispondenza con valori nazionali) N.B.: nel caso il prescrittore abbia utilizzato un codice esenzione "composto" (ad es. patologia + reddito), in tale campo codEseNaz vengono restituiti i singoli codici riconosciuti a livello nazionale separati tra loro dal carattere pipe (|) ad es. il codice "123XYZ" viene restituito come 123|XYZ, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codEseNaz della risposta del servizio SAC visualizzaErogato.

  - ### Constructor Detail

    - #### Prescrizione

          public Prescrizione()

  - ### Method Detail

    - #### getDataSpedizione

          public java.lang.String getDataSpedizione()

    - #### setDataSpedizione

          public void setDataSpedizione(java.lang.String dataSpedizione)

    - #### getIUP

          public java.lang.String getIUP()

    - #### setIUP

          public void setIUP(java.lang.String IUP)

    - #### getAnnotazione

          public java.lang.String getAnnotazione()

    - #### setAnnotazione

          public void setAnnotazione(java.lang.String annotazione)

    - #### getAssistito

          public Assistito getAssistito()

    - #### setAssistito

          public void setAssistito(Assistito assistito)

    - #### getCodRicetta

          public java.lang.String getCodRicetta()

    - #### setCodRicetta

          public void setCodRicetta(java.lang.String codRicetta)

    - #### getDataEmissione

          public java.lang.String getDataEmissione()

    - #### setDataEmissione

          public void setDataEmissione(java.lang.String dataEmissione)

    - #### getDataScadenza

          public java.lang.String getDataScadenza()

    - #### setDataScadenza

          public void setDataScadenza(java.lang.String dataScadenza)

    - #### getDatiFarm

          public DatiFarm getDatiFarm()

    - #### setDatiFarm

          public void setDatiFarm(DatiFarm datiFarm)

    - #### getDatiRico

          public DatiRico getDatiRico()

    - #### setDatiRico

          public void setDatiRico(DatiRico datiRico)

    - #### getDatiSpec

          public DatiSpec getDatiSpec()

    - #### setDatiSpec

          public void setDatiSpec(DatiSpec datiSpec)

    - #### getFlagSuggerita

          public java.lang.String getFlagSuggerita()

    - #### setFlagSuggerita

          public void setFlagSuggerita(java.lang.String flagSuggerita)

    - #### getImpPrescrizione

          public java.lang.String getImpPrescrizione()

    - #### setImpPrescrizione

          public void setImpPrescrizione(java.lang.String impPrescrizione)

    - #### getNaturaPrescrizione

          public java.lang.String getNaturaPrescrizione()

    - #### setNaturaPrescrizione

          public void setNaturaPrescrizione(java.lang.String naturaPrescrizione)

    - #### getPrescrittore

          public Prescrittore getPrescrittore()

    - #### setPrescrittore

          public void setPrescrittore(Prescrittore prescrittore)

    - #### getStatoPrescrizione

          public java.lang.String getStatoPrescrizione()

    - #### setStatoPrescrizione

          public void setStatoPrescrizione(java.lang.String statoPrescrizione)

    - #### getTicketPrescrizione

          public java.lang.String getTicketPrescrizione()

    - #### setTicketPrescrizione

          public void setTicketPrescrizione(java.lang.String ticketPrescrizione)

    - #### getTipoPrescrizione

          public java.lang.String getTipoPrescrizione()

    - #### setTipoPrescrizione

          public void setTipoPrescrizione(java.lang.String tipoPrescrizione)

    - #### getCodRegione

          public java.lang.String getCodRegione()

    - #### setCodRegione

          public void setCodRegione(java.lang.String codRegione)

    - #### getCodStruttura

          public java.lang.String getCodStruttura()

    - #### setCodStruttura

          public void setCodStruttura(java.lang.String codStruttura)

    - #### getTestata2

          public java.lang.String getTestata2()

    - #### setTestata2

          public void setTestata2(java.lang.String testata2)

    - #### getTipoRic

          public java.lang.String getTipoRic()

    - #### setTipoRic

          public void setTipoRic(java.lang.String tipoRic)

    - #### getOscuramDati

          public java.lang.String getOscuramDati()

    - #### setOscuramDati

          public void setOscuramDati(java.lang.String oscuramDati)

    - #### getRicettaInterna

          public java.lang.String getRicettaInterna()

    - #### setRicettaInterna

          public void setRicettaInterna(java.lang.String ricettaInterna)

    - #### getCodEsenzione

          public java.lang.String getCodEsenzione()

    - #### setCodEsenzione

          public void setCodEsenzione(java.lang.String codEsenzione)

    - #### getNonEsente

          public java.lang.String getNonEsente()

    - #### setNonEsente

          public void setNonEsente(java.lang.String nonEsente)

    - #### getReddito

          public java.lang.String getReddito()

    - #### setReddito

          public void setReddito(java.lang.String reddito)

    - #### getCodDiagnosi

          public java.lang.String getCodDiagnosi()

    - #### setCodDiagnosi

          public void setCodDiagnosi(java.lang.String codDiagnosi)

    - #### getDescrizioneDiagnosi

          public java.lang.String getDescrizioneDiagnosi()

    - #### setDescrizioneDiagnosi

          public void setDescrizioneDiagnosi(java.lang.String descrizioneDiagnosi)

    - #### getTipoVisita

          public java.lang.String getTipoVisita()

    - #### setTipoVisita

          public void setTipoVisita(java.lang.String tipoVisita)

    - #### getDispReg

          public java.lang.String getDispReg()

    - #### setDispReg

          public void setDispReg(java.lang.String dispReg)

    - #### getIndicazionePrescr

          public java.lang.String getIndicazionePrescr()

    - #### setIndicazionePrescr

          public void setIndicazionePrescr(java.lang.String indicazionePrescr)

    - #### getAltro

          public java.lang.String getAltro()

    - #### setAltro

          public void setAltro(java.lang.String altro)

    - #### getClassePriorita

          public java.lang.String getClassePriorita()

    - #### setClassePriorita

          public void setClassePriorita(java.lang.String classePriorita)

    - #### getChiusuraDiff

          public java.lang.String getChiusuraDiff()

    - #### setChiusuraDiff

          public void setChiusuraDiff(java.lang.String chiusuraDiff)

    - #### getChiusuraForzata

          public java.lang.String getChiusuraForzata()

    - #### setChiusuraForzata

          public void setChiusuraForzata(java.lang.String chiusuraForzata)

    - #### getPrescrizioneFruita

          public java.lang.String getPrescrizioneFruita()

    - #### setPrescrizioneFruita

          public void setPrescrizioneFruita(java.lang.String prescrizioneFruita)

    - #### getTipoErogazioneSpec

          public java.lang.String getTipoErogazioneSpec()

    - #### setTipoErogazioneSpec

          public void setTipoErogazioneSpec(java.lang.String tipoErogazioneSpec)

    - #### getQuotaFissa

          public java.lang.String getQuotaFissa()

    - #### setQuotaFissa

          public void setQuotaFissa(java.lang.String quotaFissa)

    - #### getFranchigia

          public java.lang.String getFranchigia()

    - #### setFranchigia

          public void setFranchigia(java.lang.String franchigia)

    - #### getGalDirChiamAltro

          public java.lang.String getGalDirChiamAltro()

    - #### setGalDirChiamAltro

          public void setGalDirChiamAltro(java.lang.String galDirChiamAltro)

    - #### getDispRic1

          public java.lang.String getDispRic1()

    - #### setDispRic1

          public void setDispRic1(java.lang.String dispRic1)

    - #### getDispRic2

          public java.lang.String getDispRic2()

    - #### setDispRic2

          public void setDispRic2(java.lang.String dispRic2)

    - #### getDispRic3

          public java.lang.String getDispRic3()

    - #### setDispRic3

          public void setDispRic3(java.lang.String dispRic3)

    - #### getCodAutenticazioneMedico

          public java.lang.String getCodAutenticazioneMedico()

    - #### setCodAutenticazioneMedico

          public void setCodAutenticazioneMedico(java.lang.String codAutenticazioneMedico)

    - #### getCodAutenticazioneErogatore

          public java.lang.String getCodAutenticazioneErogatore()

    - #### setCodAutenticazioneErogatore

          public void setCodAutenticazioneErogatore(java.lang.String codAutenticazioneErogatore)

    - #### getTipoErogazioneFarm

          public java.lang.String getTipoErogazioneFarm()

    - #### setTipoErogazioneFarm

          public void setTipoErogazioneFarm(java.lang.String tipoErogazioneFarm)

    - #### getTestata1

          public java.lang.String getTestata1()

    - #### setTestata1

          public void setTestata1(java.lang.String testata1)

    - #### getCodEseNaz

          public java.lang.String getCodEseNaz()

    - #### setCodEseNaz

          public void setCodEseNaz(java.lang.String codEseNaz)